@import url('https://fonts.googleapis.com/css2?family=DM+Sans:opsz,wght@9..40,300&family=Nunito:ital,wght@0,700;1,700&display=swap');

:root {
  --clr-light: #f5f5f5;
  --clr-white: #fff;
  --clr-dark-blue: #293a80;
  --bodyTextColor: #323840;
  --shade-blue: #3D85D8;
  --black: #000000;
  --error-Red: #9d3b3b;
  --addRowbtn-shadow-shadow: #14a73e98;
  --gradient-btnTnC: #4487d6;
  --gradient-end-btnTnC: #0d70eabf;
  --step-line-color: rgb(61, 133, 216);
  --Red: red;
  --select2: #34495e;
  --tableboder-color: #b6bec87f;
  --table-placeholder: #3d85d807;
  --scroller-track: #e9e3e3;
}

body {
  font-family: 'Nunito', sans-serif;
  color: var(--bodyTextColor);
}

h6 {
  font-weight: bolder;
}


.form-check-input[type=checkbox] {
  border-radius: 0.25em;
  border: 1px solid var(--shade-blue);
  cursor: pointer;
}

.did-floating-label-content {
  position: relative;
  margin-bottom: 20px;
}

.did-floating-label {
  /* color: var(--shade-blue); */
  color: var(--bodyTextColor);
  font-size: 10px;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  left: 15px;
  top: 11px;
  padding: 0 5px;
  background: var(--clr-white);
  transition: 0.2s ease all;
  -moz-transition: 0.2s ease all;
  -webkit-transition: 0.2s ease all;
}

.did-floating-input, .did-floating-select {
  font-size: 15px;
  display: block;
  width: 100%;
  height: 36px;
  padding: 0 20px;
  background: var(--clr-white);
  color: var(--bodyTextColor);
  border: 1px solid var(--shade-blue);
  border-radius: 4px;
  box-sizing: border-box;

  &:focus {
    outline: none;

    ~.did-floating-label {
      top: -8px;
      font-size: 10px;
    }
  }
}

select.did-floating-select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

select.did-floating-select::-ms-expand {
  display: none;
}

.did-floating-input:not(:placeholder-shown)~.did-floating-label {
  top: -8px;
  font-size: 13px;
}

.did-floating-select:not([value=""]):valid~.did-floating-label {
  top: -8px;
  font-size: 13px;
}

.did-floating-select[value=""]:focus~.did-floating-label {
  top: 11px;
  font-size: 13px;
}

/* .did-floating-select:not([multiple]):not([size]) {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='6' viewBox='0 0 8 6'%3E%3Cpath id='Path_1' data-name='Path 1' d='M371,294l4,6,4-6Z' transform='translate(-371 -294)' fill='%23003d71'/%3E%3C/svg%3E%0A");
  background-position: right 15px top 50%;
  background-repeat: no-repeat;
} */

.did-error-input {
  .did-floating-input, .did-floating-select {
    border: 2px solid var(--error-Red);
    color: var(--error-Red);
  }

  .did-floating-label {
    font-weight: 600;
    color: var(--error-Red);
  }

  .did-floating-select:not([multiple]):not([size]) {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='6' viewBox='0 0 8 6'%3E%3Cpath id='Path_1' data-name='Path 1' d='M371,294l4,6,4-6Z' transform='translate(-371 -294)' fill='%239d3b3b'/%3E%3C/svg%3E%0A");
  }
}

.input-group {
  display: flex;

  .did-floating-input {
    border-radius: 0 4px 4px 0;
    border-left: 0;
    padding-left: 0;
  }
}

.input-group-append {
  display: flex;
  align-items: center;
  /*   margin-left:-1px; */
}

.input-group-text {
  display: flex;
  align-items: center;
  font-weight: 400;
  height: 34px;
  color: var(--bodyTextColor);
  padding: 0 5px 0 20px;
  font-size: 14px;
  text-align: center;
  white-space: nowrap;
  border: 1px solid var(--shade-blue);
  border-radius: 4px 0 0 4px;
  border-right: none;
}

/* .scroll-body {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
} */
/* @media ( min-width: 1024px) {
  .custom-column-col-7 {
    flex: 0 0 auto;
    width: 56.333333%;
  }
}
@media ( min-width: 768px) {
  .custom-column-col-7 {
    flex: 0 0 auto;
    width: 56.333333%;
  } */
/* } */

/* @media (min-width: 768px) {
  .custom-column-col-3 {
    flex: 0 0 auto;
    width: 27%;
  }
} */




/* Line 2381 put checkboxes */


.button-70 {
  background-image: linear-gradient(#4487d6, #0d70eabf);
  border: 0;
  border-radius: 4px;
  box-shadow: rgba(0, 0, 0, .3) 0 5px 15px;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  font-family: Montserrat, sans-serif;
  font-size: .9em;
  margin: 5px;
  padding: 5px 21px;
  text-align: center;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

.button-70:hover {
  background-image: linear-gradient(#4487d6, #0d71ea8b);
  color: #fff;
}

.button-70:active {
  background-image: linear-gradient(#4487d6, #0d71ea8b);
  color: #fff !important;
}

.cssbuttons-io-button {
  display: flex;
  align-items: center;
  font-family: inherit;
  font-weight: 500;
  font-size: 12px;
  /* padding: 0.7em 1.4em 0.7em 1.1em; */
  color: white;
  background: #ad5389;
  background: linear-gradient(0deg, rgba(20, 167, 62, 1) 0%, rgba(102, 247, 113, 1) 100%);
  border: none;
  /* box-shadow: 0 0.7em 1.5em -0.5em #14a73e98; */
  letter-spacing: 0.05em;
  border-radius: 18em;
}

.cssbuttons-io-button:hover {
  color: white;
}

.cssbuttons-io-button svg {
  margin-right: 6px;
}

.cssbuttons-io-button:hover {
  box-shadow: 0 0.5em 1.5em -0.5em var(--addRowbtn-shadow);
}

.cssbuttons-io-button:active {
  box-shadow: 0 0.3em 1em -0.5em var(--addRowbtn-shadow);
}

.btntnc {
  /* background-image: linear-gradient(#5b5f69, #7a8591f5); */
  border: 1px solid var(--shade-blue);
  border-radius: 4px;
  /* box-shadow: rgba(0, 0, 0, .3)2px 4px 4px 1px; */
  box-sizing: border-box;
  color: black;
  cursor: pointer;
  font-size: .9em;
  margin: 5px;
  padding: 7px 16px;
  text-align: center;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

.btntnc:hover {
  background-image: linear-gradient(var(--gradient-btnTnC), var(--gradient-end-btnTnC));
  color: white;
  cursor: pointer;
}


.scroll-to-bottom {
  justify-self: start;
  align-self: center;
  margin-top: -23px;
  padding: 0.5em;
  font-size: 1rem;
  border-radius: 50%;
  background-color: hsla(217, 100%, 6%, 0.7);
  box-shadow: 0px 10px 15px -6px rgba(0, 0, 0, 0.2);

  &:hover {
    background: hsla(217, 50%, 55%, 1);
  }

  &[aria-hidden="true"] {
    display: none;
  }
}

.accept-button {
  background-color: var(--shade-blue);
  padding: 0.6em 1.1em;
  font-size: 0.85rem;
  color: var(--clr-white);
  border-radius: 5px;
  box-shadow: 0px 10px 15px -6px rgba(0, 0, 0, 0.2);

  &:hover {
    background: var(--clr-dark-blue);
  }

  &[aria-hidden="true"] {
    display: none;
  }
}

.step-container {
  position: relative;
  text-align: center;
  transform: translateY(-43%);
}

.step-circle {
  width: 34px;
  height: 34px;
  border-radius: 50%;
  background-color: var(--clr-white);
  border: 1px solid var(--shade-blue);
  line-height: 30px;
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 10px;
  cursor: pointer;
  /* Added cursor pointer */
}

.step-line {
  position: absolute;
  top: 16px;
  left: 50px;
  width: 50%;
  height: 2px;
  background-color: var(--step-line-color);
  z-index: -1;
}

#multi-step-form {
  overflow-x: hidden;
}


.select2.select2-container {
  width: 100% !important;
}

.select2.select2-container .select2-selection {
  border: 1px solid var(--shade-blue);
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  height: 34px;
  margin-bottom: 15px;
  outline: none !important;
  transition: all .15s ease-in-out;
}

.select2.select2-container .select2-selection .select2-selection__rendered {
  color: #333;
  line-height: 32px;
  padding-right: 33px;
}

.select2.select2-container .select2-selection .select2-selection__arrow {
  background: #f8f8f8;
  border-left: 1px solid #ccc;
  -webkit-border-radius: 0 3px 3px 0;
  -moz-border-radius: 0 3px 3px 0;
  border-radius: 0 3px 3px 0;
  height: 32px;
  width: 33px;
}

.select2.select2-container.select2-container--open .select2-selection.select2-selection--single {
  background: var(--clr-white);
}

.select2.select2-container.select2-container--open .select2-selection.select2-selection--single .select2-selection__arrow {
  -webkit-border-radius: 0 3px 0 0;
  -moz-border-radius: 0 3px 0 0;
  border-radius: 0 3px 0 0;
}

.select2.select2-container.select2-container--open .select2-selection.select2-selection--multiple {
  border: 1px solid var(--bodyTextColor);
}

.select2.select2-container .select2-selection--multiple {
  height: auto;
  min-height: 34px;
}

.select2.select2-container .select2-selection--multiple .select2-search--inline .select2-search__field {
  margin-top: 0;
  height: 32px;
}

.select2.select2-container .select2-selection--multiple .select2-selection__rendered {
  display: block;
  padding: 0 4px;
  line-height: 29px;
}

.select2.select2-container .select2-selection--multiple .select2-selection__choice {
  background-color: var(--clr-white);
  border: 1px solid var(--shade-blue);
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  margin: 4px 4px 0 0;
  padding: 0 6px 0 22px;
  height: 24px;
  line-height: 24px;
  font-size: 12px;
  position: relative;
}

.select2.select2-container .select2-selection--multiple .select2-selection__choice .select2-selection__choice__remove {
  position: absolute;
  top: 0;
  left: 0;
  height: 22px;
  width: 22px;
  margin: 0;
  text-align: center;
  color: var(--Red);
  font-weight: bold;
  font-size: 16px;
}

.select2-container .select2-dropdown {
  background: transparent;
  border: none;
  margin-top: -5px;
}

.select2-container .select2-dropdown .select2-search {
  padding: 0;
}

.select2-container .select2-dropdown .select2-search input {
  outline: none !important;
  border: 1px solid var(--select2) !important;
  border-bottom: none !important;
  padding: 4px 6px !important;
}

.select2-container .select2-dropdown .select2-results {
  padding: 0;
}

.select2-container .select2-dropdown .select2-results ul {
  background: #fff;
  border: 1px solid var(--select2);
}

.select2-container .select2-dropdown .select2-results ul .select2-results__option--highlighted[aria-selected] {
  background-color: var(--shade-blue);
}

.progress, .progress-stacked {
  --bs-progress-height: 1rem;
  --bs-progress-font-size: 0.75rem;
  --bs-progress-bg: var(--bs-secondary-bg);
  --bs-progress-border-radius: var(--bs-border-radius);
  --bs-progress-box-shadow: var(--bs-box-shadow-inset);
  --bs-progress-bar-color: #fff;
  --bs-progress-bar-bg: #4487d6a6;
  --bs-progress-bar-transition: width 0.6s ease;
  display: flex;
  height: var(--bs-progress-height);
  overflow: hidden;
  font-size: var(--bs-progress-font-size);
  background-color: var(--bs-progress-bg);
  border-radius: var(--bs-progress-border-radius);
}

.text {
  margin-bottom: 20px;
  font-size: 16px;
  line-height: 29px;
  color: #4f4e4e;
  font-weight: 400;
}

.Bold-text {
  font-size: 13px;
}

.TableBorderColor {
  font-size: 13px;
  display: block;
  width: 100%;
  height: 36px;
  padding: 0 20px;
  background: var(--clr-white);
  color: #93b0d5;
  /* border: 1px solid #a9cbf3; */
  border: 1px solid var(--tableboder-color);
  /* border: 1px solid var(--shade-blue); */
  border-radius: 4px;
  box-sizing: border-box;
}

.TableBorderColor::placeholder {
  background-color: var(--table-placeholder);
}

.lineHeight {
  line-height: 20px;
  word-spacing: 4px;
}

.colCustom {
  flex: 0 0 auto;
  width: 2%;
}

.Customform-control:focus {
  color: var(--bs-body-color);
  background-color: var(--bs-body-bg);
  border-color: var(--shade-blue);
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgb(13 110 253 / 9%);
}

.modal {
  overflow: hidden;
}

.modal-dialog {
  max-width: 900px;
  height: 500px;
  overflow-y: initial !important;
}

.modal-content {
  max-height: 100%;
  overflow-y: auto;
}

.modal-body {
  overflow-y: scroll;
}

#scroll-down-button-container {
  position: absolute;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 9999;
}

#scroll-to-footer {
  font-size: 2rem;
  cursor: pointer;
  text-align: center;
}


#scroll-to-footer i {
  color: var(--shade-blue);
}

.modal-title {
  text-align: center;
  width: 100%;
}

#custom-scroller::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: var(--scroller-track);
  border-radius: 10px;
}

#custom-scroller::-webkit-scrollbar {
  width: 10px;
  background-color: var(--scroller-track);
}

#custom-scroller::-webkit-scrollbar-thumb {
  border-radius: 10%;
  background-image: -webkit-gradient(linear,
      left bottom,
      left top,
      color-stop(0.44, var(--shade-blue)),
      color-stop(0.72, var(--shade-blue)),
      color-stop(0.86, var(--shade-blue)));
}

.scrollbar {
  margin-left: 30px;
  float: left;
  height: 300px;
  width: 65px;
  background: var(--scroller-track);
  overflow-y: scroll;
  margin-bottom: 25px;
}


.btn-close:hover {
  background-color: var(--shade-blue);
}

.object {
  animation: MoveUpDown 4s ease-in-out infinite;
}

@keyframes MoveUpDown {
  0%, 100% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-18px);
  }
}

.custom-tooltip-content {
  background-color: #3498db;
  /* Background color */
  color: #fff;
}

.custom-minus-button {
  font-size: 20px;
  color: red;
  cursor: pointer;
}